--- server/dhcpd.c.orig	2011-08-11 18:03:39.000000000 +0700
+++ server/dhcpd.c	2011-08-11 18:04:50.000000000 +0700
@@ -913,7 +913,7 @@
 				if(db.len > (RAD_SECRET_SIZE - 1) )
 					log_fatal("PATCH ERROR: RADIUS secret too long. Maximum length - %d.", RAD_SECRET_SIZE - 1);
 				bzero(rad_secret, RAD_SECRET_SIZE);
-				strncpy(rad_secret, db.data, RAD_SECRET_SIZE - 1);
+				strncpy((char*)rad_secret, (char*)db.data, RAD_SECRET_SIZE - 1);
 				data_string_forget (&db, MDL);
 			}
 			else
@@ -930,7 +930,7 @@
 				if(db.len > (RAD_PASSWD_SIZE - 1) )
 					log_fatal("PATCH ERROR: RADIUS password too long. Maximum length - %d.", RAD_PASSWD_SIZE - 1);
 				bzero(rad_users_passwd, RAD_PASSWD_SIZE);
-				strncpy(rad_users_passwd, db.data, RAD_PASSWD_SIZE - 1);
+				strncpy((char*)rad_users_passwd, (char*)db.data, RAD_PASSWD_SIZE - 1);
 				data_string_forget (&db, MDL);
 			}
 			else
